Get Blueprint Using GET

Get Blueprint Using GET
Returns blueprint details

Returns blueprint details

Request
URI
GET
https://{vcfa-fqdn}/blueprint/api/blueprints/{blueprintId}
COPY
Path Parameters
string
blueprintId
Required  

blueprintId

Query Parameters
string of array
$select
Optional

Fields to include in content.

boolean
revalidate
Optional
Constraints: default: false

Perform a revalidation of the blueprint or just return the errors saved in the DB

string
apiVersion
Optional

The version of the API in yyyy-MM-dd format (UTC). For versioning information please refer to /blueprint/api/about


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns Blueprint of type(s) application/json
{
    "content": "string",
    "contentReferences": [
        "string"
    ],
    "contentSourceId": "string",
    "contentSourcePath": "string",
    "contentSourceSyncAt": "string",
    "contentSourceSyncMessages": [
        "string"
    ],
    "contentSourceSyncStatus": "string",
    "contentSourceType": "string",
    "createdAt": "string",
    "createdBy": "string",
    "description": "string",
    "formId": "string",
    "iconId": "string",
    "id": "string",
    "name": "string",
    "orgId": "string",
    "organizationSharings": [
        {
            "createdAt": "string",
            "createdBy": "string",
            "orgId": "string",
            "updatedAt": "string",
            "updatedBy": "string"
        }
    ],
    "projectId": "string",
    "projectName": "string",
    "requestScopeOrg": false,
    "selfLink": "string",
    "status": "string",
    "totalReleasedVersions": 0,
    "totalVersions": 0,
    "updatedAt": "string",
    "updatedBy": "string",
    "valid": false,
    "validationMessages": [
        {
            "message": "string",
            "metadata": {
                "metadata": "string"
            },
            "path": "string",
            "resourceName": "string",
            "type": "string"
        }
    ]
}
string
content
Optional

Blueprint YAML content

array of string
contentReferences
Read-Only  

Content References

string
contentSourceId
Read-Only  

Content source id

string
contentSourcePath
Read-Only  

Content source path

string As date-time As date-time
contentSourceSyncAt
Read-Only  

Content source last sync time

array of string
contentSourceSyncMessages
Read-Only  

Content source last sync messages

string
contentSourceSyncStatus
Read-Only  

Content source last sync status

Enumeration: SUCCESSFUL, FAILED
string
contentSourceType
Read-Only  

Content source type

string As date-time As date-time
createdAt
Read-Only  

Created time

string
createdBy
Read-Only  

Created by

string
description
Optional

Blueprint description

string
formId
Optional

Custom form ID.

string As uuid As uuid
iconId
Optional

Icon ID

string
id
Read-Only  

Object ID

string
name
Optional

Blueprint name

string
orgId
Read-Only  

Org ID

array of object
organizationSharings
Optional

List of organizations with whom the given blueprint is either shared with or needs to be shared with. If share with all the organizations, there should be one organizationSharing in the array with orgId as 'ALL'.

string
projectId
Optional

Project ID

string
projectName
Read-Only  

Project Name

boolean
requestScopeOrg
Optional

Flag to indicate blueprint can be requested from any project in org

string
selfLink
Read-Only  

Blueprint self link

string
status
Read-Only  

Blueprint status

Enumeration: DRAFT, VERSIONED, RELEASED
integer As int32 As int32
totalReleasedVersions
Read-Only  

Total released versions

integer As int32 As int32
totalVersions
Read-Only  

Total versions

string As date-time As date-time
updatedAt
Read-Only  

Updated time

string
updatedBy
Read-Only  

Updated by

boolean
valid
Read-Only  

Validation result on update

array of object
validationMessages
Read-Only  

Validation messages


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

404

Not Found

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/blueprint/api/blueprints/{blueprintId}